.column {
    float: left;
    width: 50%;
}
.row:after {
    content: "";
    display: table;
    clear: both;
}
/* .navigator {
    padding: 5px;
    display: flex;
    font-family: "Verdana", sans-serif;
}
.navigator a {
    text-decoration: none;
} */

.intro {
    margin-top: 20px;
    margin-bottom: 20px;
    font-family: "Verdana", sans-serif;
}
.intro img {
    height: 1em;
    width: auto;
}
header {
    background-color: #f1e2b550;
    color: #848101;
    padding: 15px 0;
    font-family: "Verdana", sans-serif;
    margin-bottom: 10px;
}
.header-container {
    display: flex;
    justify-content: space-between;
}

.title-container {
    flex-grow: 1;
    text-align: center;
    text-transform: uppercase;
}

.title-container h1 {
    margin: 0;
}

.contributors-container {
    display: flex;
    gap: 20px;
    margin-right: 10px;
}

.contributors-container a {
    color: #848101;
    text-decoration: none;
}
.contributors-container a:hover {
    text-decoration: underline;
}
.contributors-container img {
    height: 1em;
    width: auto;
}

/* .logos {
    display: flex;
    justify-content: space-between;
    padding: 2em;
} */

.helptip {
    position: relative;
    display: inline-block;
}
.helptip img {
    height: 1em;
    width: auto;
    cursor: help;
}
.helptip .helptiptext {
    visibility: hidden;
    width: 200px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 5px;
    position: absolute;
    z-index: 999;
    opacity: 0;
    transition: opacity 0.3s;
}
.helptip .helptiptext::after {
    content: "";
    position: absolute;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}
.helptip:hover .helptiptext {
    visibility: visible;
    opacity: 1;
}
.tooltip-table {
    position: absolute;
    width: 200px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 5px;
}

.tooltip {
    position: absolute;
    padding: 0.3vw;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 0.3vw;
    pointer-events: none;
    font-family: Arial, Helvetica, sans-serif;
    white-space: nowrap;
}

/* .tooltip {
    position: absolute;
    padding: 0.3vw;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 0.3vw;
    pointer-events: none;
    font-family: Arial, Helvetica, sans-serif;
} */
.gen-text{
    font-family: Arial, Helvetica, sans-serif;
    padding-bottom: 2px;
}

.download img {
    height: 1em;
    width: auto;
}  

.parent {
    text-align: left;
    display: flex;
}
.child {
    display: inline-block;
    height: 66%;
}
.overlay-svg {
    position: absolute;
    top: 5%;
}
.overlay-svg-bar {
    position: absolute;
    z-index: 9998;
    /* border: 1px solid green; */
}
.error {
    border-color: red;
}
#error-message {
    color: red;
    display: none
}
/* .overlay-svg2 {
    position: absolute;
    bottom: 1em;
} */

.data-table {
    /* width: 100%; */
    /* height: 100px; */
    border-spacing: 0;
    border: 1px solid black;
    font-family: Arial, Helvetica, sans-serif;
}
.data-table tr {
    border: 1px solid black;
    padding: 8px;
    text-align: left;
}
.data-table th {
    /* border: 1px solid black; */
    border-bottom: 1px solid black;
    border-right: 1px solid black;

    padding: 8px;
    text-align: left;
    background-color: #f2f2f2;
    position: sticky;
    top: 0;
    z-index: 1;
}
.data-table td {
    background-color: white;
}
#table-container {
    height: 20rem;
    /* overflow: auto; */
    /* width: 50%; */
}

.info-banner {
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    padding: 10px 10px;
    background-color: #f1e2b550;
  }



.table-table {
    border-collapse: collapse;
    /* table-layout: fixed; */
    max-width: 100%;
    max-height: 100%;
}
.table-table tr {
    border-top: none;
    border-bottom: none;
}
.table-color-cell {
    /* width: 20px; */
    /* height: 20px; */
    text-align: center;
    padding-left: 10px;
    padding-right: 10px;    /* max-width: 0.5vw; */
}
.table-circle {
    display: inline-block;
    border-radius: 100%;
}
.table-text-cell {
    font-family: Arial, Helvetica, sans-serif;
    font-size: small;
    max-width: 20vw;
    word-wrap: break-word;
    cursor: pointer;
    /* padding-left: 8px; */
}

.legendTitle {
    text-anchor: left;
    font-family: Arial, Helvetica, sans-serif;
    font-size: small;
}

.selected-cell {
    border-top: 1px solid;
    border-bottom: 1px solid;
    border-right: 1px solid;
}
.selected-cell-dot {
    border-top: 1px solid;
    border-bottom: 1px solid;
    border-left: 1px solid;
}

.overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 9998;
}
#umap-menu-container {
    position: absolute;
}

#container {
    position: relative;
    /* width: 100%; */
    height: 66%;
}
#chart {
    position: relative;
    overflow-x: hidden;
    overflow-y: hidden;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
}
#chart svg text {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: bold;
}
#umap {
    bottom: 0;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
}
/* .menu {
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
} */
#umap-container {
    position: relative;
}
#container {
    position: relative;
}
/* #umap-zoom-in {
    margin-right: 5px;
}
#umap-zoom-out {
    margin-right: 5px;
}
#umap-zoom-reset {
    margin-right: 10px;
} */
.overlay-buttons {
    position: absolute;
    top: 0;
    left: 5px;
}
.zoom-button {
    position: relative;
    top: 10px;
    cursor: pointer;
    margin-right: 5px;
    padding-top: 3px;
    color: buttontext;
    border-radius: 2px;
    border: 1px solid #8c8f94;
    background-color: #dcdcde;
}
.zoom-button:hover {
    background-color: #c3c4c7;
}
/* .zoom-button-reset {
    position: relative;
    top: 10px;
    cursor: pointer;
    margin-right: 10px;
    padding-top: 3px;
    color: buttontext;
    border-radius: 2px;
    border: 1px solid #8c8f94;
} */
.zoom-button img {
    height: 1em;
    width: auto;
}
.gene {
    padding-top: 1em;
    margin-right: 10px;
}

.gene-cell:hover {
    cursor: pointer;
}

.dataset {
    border: 2px solid burlywood;
    border-radius: 5px;
    box-shadow: 7px 5px 5px gray;
    padding: 5px;
}


/* .loading {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 5%;
    height: 0;
    padding-bottom: 5%;
    z-index: 9999;
}
.loading p {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: Arial, Helvetica, sans-serif;
    font-size: x-large;
}
.loader:before , .loader:after{
    content: '';
    border-radius: 50%;
    position: absolute;
    inset: 0;
    box-shadow: 0 0 0.5rem 0.1rem rgba(0, 0, 0, 0.3) inset;
}
.loader:after {
    box-shadow: 0 0.1rem 0 #0077ff inset;
    animation: rotate 2.5s linear infinite;
  }
  
@keyframes rotate {
    0% {  transform: rotate(0)}
    100% { transform: rotate(360deg)}
  } */

/* .loader {
    width: 10%;
    z-index: 9998;
}
.loaderMessage {
    font-family: Arial, Helvetica, sans-serif;
    font-size: x-large;
    z-index: 9999;
} */

.overlay-loader {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    display: none;
    z-index: 9999;
}
.viz-loader {
    border: 4px solid #f3f3f3; /* Light grey border */
    border-top: 4px solid #3498db; /* Blue border on top */
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite; /* CSS animation to make it spin */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.table-overlay-loader {
    position: absolute;
    width: 100%;
    /* height: 100000%; */
    background-color: rgba(255, 255, 255, 0.8);
    display: none;
    z-index: 9999;
}
.table-viz-loader {
    border: 4px solid #f3f3f3; /* Light grey border */
    border-top: 4px solid #3498db; /* Blue border on top */
    border-radius: 50%;
    width: 30px;
    height: 30px;
    animation: spin 1s linear infinite; /* CSS animation to make it spin */
    position: absolute;
    top: 50px;
    left: 50%;
    transform: translate(-50%, -50%);
}
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }

.loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10%;
    height: 20%;
    z-index: 9998;
}
.loaderMessage {
    position: absolute;
    text-align: center;
    width: 15%;
    height: 20%;
    z-index: 9999;
    font-family: Arial, Helvetica, sans-serif;
    font-size: x-large;
    top: 75%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.update-log {
    font-family: Arial, Helvetica, sans-serif;
    z-index: 9999;
    position: absolute;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
    background-color: #fefeda;
    padding: 10px;
    width: 30%;
    border-radius: 5px;
}

.navigator a {
    text-decoration: none;
}



/* .loader{
    display: flex;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10%;
    height: 0;
    padding-bottom: 5%;
    z-index: 9998;
}
.loaderMessage {
    position: absolute;
    top: calc(50% + 10%);
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: Arial, Helvetica, sans-serif;
    font-size: x-large;
    z-index: 9999;
    width: 15%;
} */
.wave{
    display: flex;
    justify-content: space-between;
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    perspective: 100px;
}
  
.wave > div{
    position: relative;
    width: 16px;
    height: 16px;
    border-radius: 100%;
}
  
.wave > div::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #1a85ff;
    border-radius: 50%;
}
  
.top-wave > div::before {
    background-color: #d41159;
}
  
.top-wave > div{
    animation: move 3s ease-in-out infinite reverse;    
}
   
.top-wave > div::before{
    animation: grow 3s linear infinite reverse; 
}
  
.bottom-wave > div{
    animation: move 3s ease-in-out infinite;
}
   
.bottom-wave > div::before{
    animation: grow 3s linear infinite;
}
  
.wave > div:nth-child(10){
    animation-delay: 0s;
}
.wave > div:nth-child(9){
    animation-delay: -0.1s;
}
.wave > div:nth-child(8){
    animation-delay: -0.2s;
}
.wave > div:nth-child(7){
    animation-delay: -0.3s;
}
.wave > div:nth-child(6){
    animation-delay: -0.4s;
}
.wave > div:nth-child(5){
    animation-delay: -0.5s;
}
.wave > div:nth-child(4){
    animation-delay: -0.6s;
}
.wave > div:nth-child(3){
    animation-delay: -0.7s;
}
.wave > div:nth-child(2){
    animation-delay: -0.8s;
}
.wave > div:nth-child(1){
    animation-delay: -0.9s;
}
  
  
.bottom-wave > div:nth-child(10){
    animation-delay: 0.75s;
}
.bottom-wave > div:nth-child(9){
    animation-delay: 0.65s;
}
.bottom-wave > div:nth-child(8){
    animation-delay: 0.55s;
}
.bottom-wave > div:nth-child(7){
    animation-delay: 0.45s;
}
.bottom-wave > div:nth-child(6){
    animation-delay: 0.35s;
}
.bottom-wave > div:nth-child(5){
    animation-delay: 0.25s;
}
.bottom-wave > div:nth-child(4){
    animation-delay: 0.15s;
}
.bottom-wave > div:nth-child(3){
    animation-delay: 0.05s;
}
.bottom-wave > div:nth-child(2){
    animation-delay: -0.05s;
}
.bottom-wave > div:nth-child(1){
    animation-delay: -0.15s;
}
  
  
@keyframes move{
    0% { transform: translateY(0px); }
    25% { transform: translateY(88px); }
    50% { transform: translateY(0px); }
    75% { transform: translateY(88px); }
    100% { transform: translateY(0px); }
}
  
@keyframes grow{
    0%, 50%, 75%, 100% { transform: scaleX(0.7) scaleY(0.7); }
    10%, 60% { transform: scaleX(1) scaleY(1); }
    35%, 85% { transform: scaleX(0.4) scaleY(0.4); }
}

.collapsible {
    background-color: transparent;
    padding: 10px;
    color: #848101;
    cursor: pointer;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
}
  
.active, .collapsible:hover {
    background-color: #f1e2b550;
}
  
.content {
    padding: 0 18px;
    /* display: none; */
    max-height: 0;
    overflow: hidden;
} 